package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxCouponInject;
import com.iformall.domain.po.msg.WxMsg;
import com.iformall.domain.po.WxMsgConfig;

public interface WxMsgService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
    PageInfo<WxMsg> listAsPage(WxMsg record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMsg getById(Long id);


    ResultData add(WxMsg wxmsg);

        /**
         * 根据Id删除实体
         *
         * @param id
         */
    void deleteById(Long id);

    void sendMsgFromCouponInject(WxMsg wxmsg, WxMsgConfig wxMsgConfig, WxCouponInject record);

    void addMsgCallback(WxMsg wxmsg, String batchNo);
}
